-- CreateEnum
CREATE TYPE "Sex" AS ENUM ('FEMININO', 'MASCULINO');

-- DropForeignKey
ALTER TABLE "localization" DROP CONSTRAINT "localization_microareaId_fkey";

-- AlterTable
ALTER TABLE "localization" ADD COLUMN     "patientId" VARCHAR(50),
ALTER COLUMN "microareaId" DROP NOT NULL;

-- CreateTable
CREATE TABLE "address" (
    "id" VARCHAR(50) NOT NULL,
    "public_place" TEXT NOT NULL,
    "number" INTEGER NOT NULL,
    "complement" TEXT NOT NULL,
    "district" VARCHAR(100) NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),
    "patientsId" VARCHAR(50) NOT NULL,

    CONSTRAINT "address_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "health_conditions" (
    "id" VARCHAR(50) NOT NULL,
    "abbr" VARCHAR(10) NOT NULL,
    "description" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),
    "patientId" VARCHAR(50),

    CONSTRAINT "health_conditions_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "patients" (
    "id" VARCHAR(50) NOT NULL,
    "cpf" TEXT NOT NULL,
    "name" VARCHAR(255) NOT NULL,
    "birthdate" TIMESTAMP(3) NOT NULL,
    "observation" TEXT NOT NULL,
    "sex" "Sex" NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),
    "deletedAt" TIMESTAMP(3),
    "userId" VARCHAR(50) NOT NULL,
    "microareaId" VARCHAR(50) NOT NULL,

    CONSTRAINT "patients_pkey" PRIMARY KEY ("id")
);

-- CreateIndex
CREATE UNIQUE INDEX "health_conditions_abbr_key" ON "health_conditions"("abbr");

-- CreateIndex
CREATE UNIQUE INDEX "patients_cpf_key" ON "patients"("cpf");

-- AddForeignKey
ALTER TABLE "localization" ADD CONSTRAINT "localization_patientId_fkey" FOREIGN KEY ("patientId") REFERENCES "patients"("id") ON DELETE SET NULL ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "localization" ADD CONSTRAINT "localization_microareaId_fkey" FOREIGN KEY ("microareaId") REFERENCES "microareas"("id") ON DELETE SET NULL ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "address" ADD CONSTRAINT "address_patientsId_fkey" FOREIGN KEY ("patientsId") REFERENCES "patients"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "health_conditions" ADD CONSTRAINT "health_conditions_patientId_fkey" FOREIGN KEY ("patientId") REFERENCES "patients"("id") ON DELETE SET NULL ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "patients" ADD CONSTRAINT "patients_userId_fkey" FOREIGN KEY ("userId") REFERENCES "users"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "patients" ADD CONSTRAINT "patients_microareaId_fkey" FOREIGN KEY ("microareaId") REFERENCES "microareas"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
