import { PrismaClient } from '@prisma/client';
import { encryptedPassword } from '../utils/bcrypt';

// instância do cliente do prisma
const prisma = new PrismaClient();

async function main() {

  // Preencher os dados do administrador
  const data = {
    name: "João Vitor de Oliveira",
    cpf: "23531103123",
    password: "joaovitor123",
  }

  const password = encryptedPassword(data.password);

  // criando administrador para o aplicativo
  const newAdmistrator = await prisma.user.create({
    data: {
      name: data.name,
      cpf: data.cpf,
      password,
      role: 'ADMIN'
    }
  });

  if (newAdmistrator) {
    console.log('[PRISMA] Administrador criado com sucesso!');
    console.log(newAdmistrator);
  }
}

main()
  .catch((e) => console.error(e))
  .finally(async () => await prisma.$disconnect())