import { Request, Response, NextFunction } from 'express';
import { AppError } from '../shared/AppError';

const adminAuthorizationMiddleware = async (request: Request, response: Response, next: NextFunction) => {
  const { role } = request.user;

  if (role !== 'ADMIN') {
    return new AppError(401, "Usuário não é o administrador").execute(response);
  }

  return next();
}

export { adminAuthorizationMiddleware };