import express from 'express';
import { routes } from './routes/routes';
import cors, { CorsOptions } from 'cors';

const PORT = 8888;

const corsOptions: CorsOptions = {
  origin: process.env.WEB_URL,
  credentials: true,            //access-control-allow-credentials:true
  optionsSuccessStatus: 200
};

const app = express();

// aceitar body no formato json
app.use(express.json());

app.use(cors(corsOptions))

app.use(routes);

app.listen(PORT, () => {
  console.log('[APP] Servidor rodando!');
})