import { Response } from 'express';

class AppError {
  public readonly message: string;

  public readonly statusCode: number;

  constructor(statusCode: number, message: string) {
    this.statusCode = statusCode;
    this.message = message
  }

  execute(res: Response) {
    return res.status(this.statusCode).json({ message: this.message });
  }
}

export { AppError };