import bcrypt from 'bcrypt';

const saltRounds = 10;

// Criar uma senha criptografada e retorna ela
const encryptedPassword = (password: string): string => {
  const salt = bcrypt.genSaltSync(saltRounds);
  const passwordWithEncryption = bcrypt.hashSync(password, salt);
  return passwordWithEncryption;
}

// Verifica se a senha é válida
const verifyPassword = (password: string, passwordWithEncryption: string): boolean => {
  const check = bcrypt.compareSync(password, passwordWithEncryption);
  return check;
}

export {
  encryptedPassword,
  verifyPassword,
}