import { Navigate, Outlet } from "react-router-dom";
import { useAuth } from "../context/AuthContext"

const AdminRoutes = (): JSX.Element => {
  const { signed, user } = useAuth();

  return (
    signed && user?.role === 'ADMIN' ? <Outlet /> : <Navigate to='/dashboard' />
  );
}

export { AdminRoutes };