export function CPFMask(event: React.FormEvent<HTMLInputElement>) {
  event.currentTarget.maxLength = 14;
  let value = event.currentTarget.value;
  value = value
    .replace(/\D/g, '')
    .replace(/(\d{3})(\d)/, '$1.$2')
    .replace(/(\d{3})(\d)/, '$1.$2')
    .replace(/(\d{3})(\d{1,2})/, '$1-$2')
    .replace(/(-\d{2})\d+?$/, '$1');
  event.currentTarget.value = value;
  return event;
}

export function ABBRMask(event: React.FormEvent<HTMLInputElement>) {
  let value = event.currentTarget.value;
  value = value.toUpperCase();

  event.currentTarget.value = value;
  return event;
}

export function CPFMaskToView(cpf: string) {
  let value = cpf;
  value = value
    .replace(/\D/g, '')
    .replace(/(\d{3})(\d)/, '$1.$2')
    .replace(/(\d{3})(\d)/, '$1.$2')
    .replace(/(\d{3})(\d{1,2})/, '$1-$2')
    .replace(/(-\d{2})\d+?$/, '$1');
  return value;
}