import { StylesConfig } from 'react-select';

export const multiSelectStyles: StylesConfig<any, true> = {

  control: (styles, state) => ({
    ...styles,
    backgroundColor: 'white',
    border: '1px solid #d1d5db',
    borderColor: state.isFocused ? '#67e8f9' : '#d1d5db',
    outline: '2px solid transparent',
    outlineOffset: '2px',

  }),
  option: (styles, { data, isDisabled, isFocused, isSelected }) => {
    return {
      ...styles,
      backgroundColor: isDisabled
        ? undefined
        : isSelected
          ? "#9ca3af"
          : isFocused
            ? "#e5e7eb"
            : undefined,
      color: isDisabled
        ? '#27272a'
        : isSelected
          ? "#27272a"
          : "#27272a",
      cursor: isDisabled ? 'not-allowed' : 'default',

      ':active': {
        ...styles[':active'],
        backgroundColor: !isDisabled
          ? isSelected
            ? "#9ca3af"
            : "#9ca3af"
          : undefined,
      },

    };
  },
  multiValue: (styles, { data }) => {
    const color = "#efefef";
    return {
      ...styles,
      backgroundColor: "#f3f4f6",
      border: '1px solid #d1d5db',

      ':focus': {
        borderColor: '#67e8f9',
        outline: '2px solid transparent',
        outlineOffset: '2px',
        padding: '0.75rem 0.5rem'
      }
    };
  },
  multiValueLabel: (styles, { data }) => ({
    ...styles,
    color: "#27272a",
  }),
  multiValueRemove: (styles, { data }) => ({
    ...styles,
    color: "#3f3f46",
    backgroundColor: "#e4e4e7",
    ':hover': {
      backgroundColor: '#ccc',
      color: 'white',
    },
  }),
  menu: (styles) => ({
    ...styles,
    border: '1px solid #d1d5db',
    ':focus': {
      borderColor: '#67e8f9',
      outline: '2px solid transparent',
      outlineOffset: '2px',
      padding: '0.75rem 0.5rem'
    }
  }),
};